Package writer2latex.office

# Class MetaData

java.lang.Object
writer2latex.office.MetaData

All Implemented Interfaces:
  `MetaData`

public class MetaData extends Object implements MetaData

This class represents the metadata of an OOo Writer document.

## Constructor Summary

Constructors
Constructor
Description
`MetaData(OfficeDocument oooDoc)`
Construct a new instance from an OOo Writer document.

## Method Summary

Modifier and Type
Method
Description
`String`
`getCreator()`
Get the creator of this document (may be empty)
`String`
`getDate()`
Get the date of this document (may be empty)
`String`
`getDescription()`
Get the description of this document (may be empty)
`String`
`getInitialCreator()`
Get the initial creator of this document (may be empty)
`String`
`getKeywords()`
Get the keywords of this document as a comma separated list (may be epmty)
`String`
`getLanguage()`
Get the language of this document (may be empty)
`String`
`getSubject()`
Get the subject of this document (may be empty)
`String`
`getTitle()`
Get the title of this document (may be empty)
`Map<String,String>`
`getUserDefinedMetaData()`
Get the user-defined meta data
`void`
`setLanguage(String sLanguage)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MetaData

public MetaData(OfficeDocument oooDoc)

Construct a new instance from an OOo Writer document.

Parameters:
  `oooDoc` - is the OOo document

## Method Details

### getTitle

public String getTitle()

Get the title of this document (may be empty)

Specified by:
  `getTitle` in interface `MetaData`
Returns:
  the title of the document

### getCreator

public String getCreator()

Get the creator of this document (may be empty)

Specified by:
  `getCreator` in interface `MetaData`
Returns:
  the creator of the document (or the initial creator if none is specified)

### getInitialCreator

public String getInitialCreator()

Get the initial creator of this document (may be empty)

Returns:
  the initial creator of the document

### getDate

public String getDate()

Get the date of this document (may be empty)

Specified by:
  `getDate` in interface `MetaData`
Returns:
  the date of the document

### getDescription

public String getDescription()

Get the description of this document (may be empty)

Specified by:
  `getDescription` in interface `MetaData`
Returns:
  the description of the document

### getLanguage

public String getLanguage()

Get the language of this document (may be empty)

Specified by:
  `getLanguage` in interface `MetaData`
Returns:
  the language of the document

### setLanguage

public void setLanguage(String sLanguage)

### getSubject

public String getSubject()

Get the subject of this document (may be empty)

Specified by:
  `getSubject` in interface `MetaData`
Returns:
  the subject of the document

### getKeywords

public String getKeywords()

Get the keywords of this document as a comma separated list (may be epmty)

Specified by:
  `getKeywords` in interface `MetaData`
Returns:
  the keywords of the document

### getUserDefinedMetaData

public Map<String,String> getUserDefinedMetaData()
Get the user-defined meta data

Specified by:
  `getUserDefinedMetaData` in interface `MetaData`
Returns:
  the user-defined meta data as a name-value map